#pragma once
#include "StateBase.h"


class FLinkState : public FStateBase
{
public:
	FLinkState(FLoginManager& InManager, const TSharedPtr<class FWebSocketConnection>& InWebSocketConnection)
	:FStateBase(InManager),
	WebSocketConnection(InWebSocketConnection){}
	virtual void Enter() override;
private:
	const TSharedPtr<class FWebSocketConnection> WebSocketConnection = nullptr;
};



